• Thomas Guillem's avatar
    gl: fix incorrect plugin dependencies · fc4114f4
    Thomas Guillem authored
    The GL/GLES2 plugins doesn't depends anymore on X11, WAYLAND, VAAPI or other
    hardware libs.
    
    Move all converters (that were built in GL plugins) in separate plugins, with a
    "glconv" plugin capability. This new type of module will be loaded by GL
    plugins when a video format is opaque. Otherwise, the built-in software
    converter (that handle RGB,YUV,YXZ12) will be used.
    
    Each new converters plugins depends only on hardware libs like VAAPI-X11,
    VAAPI-WL. These news plugins don't depend on Open GL / GLES2. Therefore, one
    glconv plugin can be used by a GL and a GLES2 plugin.
    
    Fixes #18575
    fc4114f4
macosx.m 25.1 KB